#tema-secici {
    max-width: 60px;
    position: relative;
    box-sizing: content-box;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

#eposta {
    max-width: 60px;
    margin-left: auto;
}

#karistir {
    cursor: pointer;
    max-width: 60px;
}

main {
    padding: 10px;
}

#gonderi-listesi {
    width: 100%;
    display: grid;

    grid-gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(480px, 1fr));
}

.gonderi-tutucu {
    width: 100%;
    aspect-ratio: 1/1;

    display: flex;
    justify-content: center;
    align-items: center;


    /*outline: 1px solid red;*/
}

.gonderi {
    width: 480px;
    height: 480px;

    position: relative;

    display: flex;
    justify-content: center;
    align-items: center;

    color: var(--renk_yazi);

    box-shadow: rgba(0, 0, 0, 0.25) 0 5px 15px;
    /*outline: 1px solid lime;*/
}

.gonderi img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.gonderi .aciklama {
    width: 100%;
    height: 100px;

    transition: 0.5s height, 0.5s background-color;

    font-family: Helvetica, sans-serif;

    text-decoration: none;

    position: absolute;
    bottom: 0;
    background-color: var(--renk_arkaplan_saydam);
    color: var(--renk_yazi_saydam);
    box-sizing: border-box;
    overflow: hidden;
}

.gonderi .aciklama h1 {
    width: 100%;
    height: 100px;

    border-bottom: 1px solid var(--renk_yazi);

    text-align: center;

    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2em;
}

.gonderi .aciklama p {
    width: 100%;
    height: 200px;
    font-size: 1.5em;
    padding: 5% 10px 0 5%;
    box-sizing: border-box;
}

.gonderi .tarih {
    position: absolute;
    top: 0;
    right: 0;
    padding: 5px;
    border-bottom-left-radius: 5px;
    background-color: var(--renk_arkaplan);
    font-size: 24px;
}

.gonderi:hover .aciklama {
    height: 300px;
    background-color: var(--renk_arkaplan_saydam_artibir);
}

footer {
    display: flex;
    justify-content: center;
    height: 60px;
    background-color: var(--renk_arkaplan);
}

.sayfalar {
    height: 100%;
    width: 360px;
    display: flex;
    border-radius: 15px 15px 0 0;
    justify-content: space-evenly;
    align-items: center;
    background-color: var(--renk_dizin_footer);
}

#sayfaNoForm {
    display: flex;
    align-items: center;
    width: 80%;
}

#sayfaNoGit {
    border-radius: 0 50px 50px 0;
    /*border: 0;*/
    height: 38px;
    flex: 1;
    display: none;
}

#sayfaNo {
    text-align: center;
    border-color: var(--renk_arkaplan);
    /*background-color: var(--renk_arkaplan_saydam);*/
    flex: 4;
    height: 40px;
    box-sizing: border-box;
    border-radius: 5px;
}

.maxSayfa {
    color: white;
    font-size: 24px;
}

#sayfaNo-tutucu {
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: row;
}

input[type='number'] {
    -moz-appearance: textfield;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

::placeholder {
    text-align: center;
}

@media screen and (max-width: 500px) {
    #gonderi-listesi {
        grid-template-columns: 1fr;
        grid-gap: 10px;
    }

    .gonderi {
        height: 100%;
        width: 100%;
    }

    .gonderi-tutucu {
        aspect-ratio: unset;
        width: 100%;
        height: calc(100vw - 10px);
    }

}